Bug 604621 - Too less HW info for PPC64 servers - dmidecode
Summary: Too less HW info for PPC64 servers - dmidecode
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 6.0
Hardware: ppc64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 582655
TreeView+ depends on / blocked
 
Reported: 2010-06-16 11:08 UTC by Garik Khachikyan
Modified: 2015-01-04 21:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 09:46:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHN Hosted HW info page for ppc64 server (159.80 KB, image/png)
2010-06-16 11:08 UTC, Garik Khachikyan
no flags Details
PPC64 HW info for RHEL5 (164.77 KB, image/png)
2010-06-18 09:36 UTC, Garik Khachikyan
no flags Details

Description Garik Khachikyan 2010-06-16 11:08:43 UTC
Created attachment 424403 [details]
RHN Hosted HW info page for ppc64 server

Description of problem:
I have beaker-reserved RHEL6 installed through 20100610-s compose (there are both python-dmidecode and hal installed on that system) and registering the system on rhn.errata.stage bring just very limited set of info (attachment will follow below)
Also there is a debug line saying:
"D: Warnings collected during dmidecode import: No SMBIOS nor DMI entry point found, sorry." - actually the same line is thrown by python when there just importing the dmidecode package.

Version-Release number of selected component (if applicable):
python-dmidecode-3.10.12-1.el6.ppc64
python-gudev-147.1-4.el6.ppc64
hal-0.5.14-5.el6.ppc64

How reproducible:
2 from 2 attempts.

Steps to Reproduce:
1. Make PPC64 beaker reservation.
2. run rhn_register (with proper debugLevel set)
3.
  
Actual results:
debug info in the console and up2date log, very limited set of HW info in RHN Hosted.

Expected results:
Full (as much as possible) HW info reported to Hosted.

Additional info:
Attachment of the "Hardware" page will follow

Comment 1 RHEL Product and Program Management 2010-06-16 11:14:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Milan Zázrivec 2010-06-17 15:39:21 UTC
The debug message

"D: Warnings collected during dmidecode import: No SMBIOS nor DMI entry point
found, sorry."

is expected (ppc systems indeed do not have any smbios).

Is the problem you're reporting a regression compared to RHEL-5?

Comment 3 Garik Khachikyan 2010-06-17 15:44:03 UTC
hi Milan,

will be checking against RHEL5 to see the difference.

but it would be nice seeing more information on HW page of the system rather than now it is.

Comment 4 Garik Khachikyan 2010-06-18 09:36:00 UTC
# COMMENT

checked against installation of RHEL5 - almost the same picture is there - so if there is no chance to improve the information available for ppc64 - consider the issue closed.

attached is the info for RHEL5

Comment 5 Garik Khachikyan 2010-06-18 09:36:37 UTC
Created attachment 425061 [details]
PPC64 HW info for RHEL5


Note You need to log in before you can comment on or make changes to this bug.